%bcond_with tests
%global pypi_name jmespath

Summary:       JSON Matching Expressions
Name:          python-jmespath
Version:       1.0.1
Release:       6%{?dist}
License:       MIT
URL:           https://github.com/jmespath/jmespath.py
Source0:       %{url}/archive/%{version}/jmespath.py-%{version}.tar.gz

BuildArch:     noarch

%description
JMESPath allows you to declaratively specify how to extract elements from a JSON document.

%package -n    python3-jmespath
Summary:       JSON Matching Expressions
BuildRequires: python3-devel python3-setuptools python3-pytest
%if %{with tests}
BuildRequires:  python3-hypothesis
%endif

%description -n python3-jmespath
JMESPath allows you to declaratively specify how to extract elements from a JSON document.

%prep
%autosetup -n jmespath.py-%{version}
rm -rf jmespath.egg-info

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
%pytest --ignore=extra/test_hypothesis.py
%endif

%files -n python3-jmespath
%license LICENSE.txt
%doc README.rst
%{_bindir}/jp.py
%{python3_sitelib}/jmespath
%{python3_sitelib}/jmespath-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 Shuo Wang <abushwang@tencent.com> - 1.0.1-1
- initial build
